# Documentation

**react-desktop** is a JavaScript library built on top of [Facebook's React](https://facebook.github.io/react/) library, 
which aims to bring a native desktop experience to the web, featuring many OS X El Capitan and Windows 10 components. 
**react-desktop** works perfectly with [node-webkit](http://nwjs.io) and [Electron.js](http://electron.atom.io), but 
can be used in any JavaScript powered project!

## Table of Contents

1. Getting Started
  * [Installation](/docs/getting-started/installation.md)
2. OS X El Capitan
  * [Box](/docs/os-x/box.md) 
  * [Form](/docs/os-x/form.md)
  * [Indeterminate Circular Progress Indicator](/docs/os-x/indeterminate-circular-progress-indicator.md)
  * [Label](/docs/os-x/label.md)
  * [Push Button](/docs/os-x/push-button.md)
  * [Segmented Control](/docs/os-x/segmented-control.md)
  * [Text Field](/docs/os-x/text-field.md)
  * [Title Bar](/docs/os-x/title-bar.md)
  * [Toolbar](/docs/os-x/toolbar.md)
  * [Window](/docs/os-x/window.md)
3. Windows 10
  * [Button](/docs/windows/button.md)
  * [List View](/docs/windows/list-view.md)
    * [Master/Details](/docs/windows/list-view/master-details.md)
  * [Progress Ring](/docs/windows/progress-ring.md)
  * [Split View](/docs/windows/split-view.md)
    * [Split View Item](/docs/windows/split-view/split-view-item.md)
  * [Text Block](/docs/windows/text-block.md)
  * [Text Box](/docs/windows/text-box.md)
  * [Title Bar](/docs/windows/title-bar.md)
  * [View](/docs/windows/view.md)
  * [Window](/docs/windows/window.md)
4. Advanced Usage
 * [Electron.js](/docs/advanced-usage/electron-js.md)
 * [node-webkit](/docs/advanced-usage/node-webkit.md)
5. [Contributing](/CONTRIBUTING.md)
6. [Testing](/docs/testing.md)
7. [Frequently Asked Questions](/docs/faq.md)
8. [Change Log](/CHANGELOG.md)
