'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _WindowState = require('../../WindowState');

var _WindowState2 = _interopRequireDefault(_WindowState);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = {
  button: {
    userSelect: 'none',
    WebkitAppRegion: 'no-drag',
    cursor: 'default',
    width: '10px',
    height: '10px',
    borderWidth: '1px',
    borderStyle: 'solid',
    borderRadius: '50%',
    marginBottom: '.5px',
    marginLeft: '4px',
    marginRight: '4px',
    lineHeight: 0,
    backgroundColor: '#ffbd2e',
    borderColor: '#e1a116',

    ':active': {
      backgroundColor: '#bf9123',
      borderColor: '#ad7d15'
    }
  },

  unfocused: {
    backgroundColor: '#dddddd',
    borderColor: '#d0d0d0'
  },

  icon: {
    width: '8px',
    height: '8px',
    marginTop: '1px',
    marginLeft: '1px'
  }
};

var Minimize = (0, _WindowState2.default)(_class = (0, _radium2.default)(_class = (_temp = _class2 = function (_Component) {
  _inherits(Minimize, _Component);

  function Minimize() {
    _classCallCheck(this, Minimize);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(Minimize).call(this));

    _this.state = { iconVisible: false, windowFocused: true };
    return _this;
  }

  _createClass(Minimize, [{
    key: 'render',
    value: function render() {
      var _props = this.props;
      var style = _props.style;

      var props = _objectWithoutProperties(_props, ['style']);

      var iconStyle = _extends({}, styles.icon, {
        opacity: this.state.iconVisible ? 1 : 0
      });

      var componentStyle = _extends({}, styles.button, style);
      if (!this.state.windowFocused && !this.state.iconVisible) {
        componentStyle = _extends({}, componentStyle, styles.unfocused);
      }

      return _react2.default.createElement(
        'a',
        _extends({
          style: componentStyle
        }, props),
        _react2.default.createElement(
          'svg',
          { x: '0px', y: '0px', viewBox: '0 0 8 1.1', style: iconStyle },
          _react2.default.createElement('rect', { fill: '#995700', width: '8', height: '1.1' })
        )
      );
    }
  }]);

  return Minimize;
}(_react.Component), _class2.propTypes = {
  style: _react.PropTypes.object
}, _temp)) || _class) || _class;

exports.default = Minimize;