'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Controls = require('./Controls.osx/Controls');

var _Controls2 = _interopRequireDefault(_Controls);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = {
  titleBar: {
    WebkitUserSelect: 'none',
    WebkitAppRegion: 'drag',
    cursor: 'default',
    display: 'flex',
    alignItems: 'center',
    height: '20px',
    backgroundImage: '-webkit-linear-gradient(top, #ededed 0, #ededed 1px, #e7e7e7 2px, #d1d1d1 100%)',
    borderBottomWidth: '1px',
    borderBottomStyle: 'solid',
    borderBottomColor: '#afafaf',
    borderTopWidth: '1px',
    borderTopStyle: 'solid',
    borderTopColor: '#f6f6f6',
    borderTopLeftRadius: '5px',
    borderTopRightRadius: '5px',
    paddingLeft: '3px',
    paddingRight: '3px'
  },

  unfocusedTitleBar: {
    backgroundImage: '-webkit-linear-gradient(top, #f8f8f8 0px, #f8f8f8 2px, #f6f6f6 100%)',
    borderBottomColor: '#cecece'
  },

  toolbar: {
    height: '36px',
    paddingLeft: '9px',
    paddingRight: '9px'
  },

  title: {
    WebkitUserSelect: 'none',
    cursor: 'default',
    fontFamily: '"San Francisco", "Helvetica Neue", "Lucida Grande", Arial, sans-serif',
    fontSize: '13px',
    color: '#676767',
    flex: 1,
    textAlign: 'center',
    lineHeight: '21px'
  },

  unfocusedTitle: {
    color: '#b8b8b8'
  }
};

var TitleBarOSX = (_temp = _class = function (_Component) {
  _inherits(TitleBarOSX, _Component);

  function TitleBarOSX(props) {
    _classCallCheck(this, TitleBarOSX);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(TitleBarOSX).call(this));

    _this.state = {
      windowFocused: true,
      visible: props.visible !== false,
      display: props.display !== false
    };
    return _this;
  }

  _createClass(TitleBarOSX, [{
    key: 'render',
    value: function render() {
      var _props = this.props;
      var children = _props.children;
      var controls = _props.controls;
      var title = _props.title;
      var visible = _props.visible;
      var display = _props.display;

      var props = _objectWithoutProperties(_props, ['children', 'controls', 'title', 'visible', 'display']);

      var componentStyle = this.styles;
      /*if (children) {
        componentStyle = mergeStyles(componentStyle, styles.toolbar);
      }*/

      var titleStyle = styles.title;
      if (this.props.controls) {
        titleStyle = Object.assign(titleStyle, { paddingRight: '60px' });
      }

      /*if (!this.state.windowFocused) {
        componentStyle = mergeStyles(componentStyle, styles.unfocusedTitleBar);
        titleStyle = mergeStyles(titleStyle, styles.unfocusedTitle);
      }*/

      controls = !controls || _react2.default.createElement(_Controls2.default, this.props);
      title = !title || _react2.default.createElement(
        'div',
        { style: titleStyle },
        this.props.title
      );

      /*componentStyle = mergeStyles(componentStyle, {
        visibility: this.state.visible ? 'visible' : 'hidden',
        display: this.state.display ? 'flex' : 'none'
      });*/

      return _react2.default.createElement(
        'div',
        _extends({
          ref: 'element',
          style: componentStyle
        }, props),
        controls,
        title,
        children
      );
    }
  }]);

  return TitleBarOSX;
}(_react.Component), _class.propTypes = {
  children: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.element, _react.PropTypes.array]),
  style: _react.PropTypes.object,
  title: _react.PropTypes.string,
  controls: _react.PropTypes.bool,
  onClosePress: _react.PropTypes.func,
  onMinimizePress: _react.PropTypes.func,
  onResizePress: _react.PropTypes.func,
  visible: _react.PropTypes.bool,
  display: _react.PropTypes.bool
}, _temp);
exports.default = TitleBarOSX;